<?xml version="1.0" encoding="WINDOWS-1251"?>
<!-- XSLT      AstraKBR  AstraKBR_GUI (,). -->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:ed="urn:cbr-ru:ed:v2.0"
  xmlns:env="http://www.w3.org/2003/05/soap-envelope"  xmlns:props="urn:cbr-ru:msg:props:v1.3"
  xmlns:sen="urn:cbr-ru:dsig:env:v1.1"
  xmlns:dsig="urn:cbr-ru:dsig:v1.1"
  xmlns:xf="http://www.w3.org/2002/08/xquery-functions">
  <xsl:output method="text" media-type="text/plain" encoding="WINDOWS-1251" indent="yes"/>

  <!--  ED805  -->
  <xsl:template match="ed:ED805">
    <xsl:text>------------------------------------------------------------------------------------------------------------------</xsl:text>
      <xsl:text>&#13;&#10;</xsl:text>
      <xsl:value-of select="concat(position()-$modif_pos,'.  ')"/>
      <xsl:text> ,    /ED805/&#13;&#10;&#13;&#10;</xsl:text>
      <xsl:call-template name="PriznGr"/>
      <xsl:text>&#13;&#10;</xsl:text>
      <xsl:for-each select="@CreationReason">
        <xsl:call-template name="CreationReason"/>
      </xsl:for-each>
      <xsl:text>&#13;&#10;</xsl:text>
      <xsl:for-each select="@BIC">
        <xsl:text> ,      : </xsl:text><xsl:value-of select="."/>
        <xsl:text>&#13;&#10;</xsl:text>
      </xsl:for-each>
      <xsl:for-each select="@Account">
        <xsl:text>,                    : </xsl:text><xsl:value-of select="."/>
      </xsl:for-each>
      <xsl:text>&#13;&#10;</xsl:text>

      <xsl:if test="count(ed:Queue) != 0">
        <xsl:for-each select="ed:Queue">
          <xsl:text>&#13;&#10;</xsl:text>
          <xsl:for-each select="@QueueType"><xsl:call-template name="QueueType"/></xsl:for-each>
          <xsl:text> &#13;&#10;</xsl:text>
          <xsl:text>============&#13;&#10;</xsl:text>
          <xsl:for-each select="ed:QueuedPayment">
            <xsl:call-template name="PriznGr"/>
            <xsl:text>    : </xsl:text><xsl:value-of select="@PaymentPrecedence"/>
            <xsl:text>&#13;&#10;</xsl:text>
            <xsl:text>               : </xsl:text><xsl:for-each select="@Amount"><xsl:call-template name="ffsum"/></xsl:for-each>
            <xsl:text>&#13;&#10;</xsl:text>
            <xsl:text>      : </xsl:text><xsl:value-of select="@PayerBIC"/>
            <xsl:text>&#13;&#10;</xsl:text>
            <xsl:text>     : </xsl:text><xsl:value-of select="@PayerAccount"/>
            <xsl:text>&#13;&#10;</xsl:text>
            <xsl:text>       : </xsl:text><xsl:value-of select="@PayeeBIC"/>
            <xsl:text>&#13;&#10;</xsl:text>
            <xsl:text>      : </xsl:text><xsl:value-of select="@PayeeAccount"/>
            <xsl:text>&#13;&#10;</xsl:text>

            <xsl:for-each select="@QueuingReasonCode">
              <xsl:call-template name="QueuingReasonCode"/>
            </xsl:for-each>
            <xsl:text>&#13;&#10;</xsl:text>
            <xsl:text>&#13;&#10;</xsl:text>
          </xsl:for-each>
        </xsl:for-each>
      </xsl:if>
      <xsl:if test="ed:InitialED/@EDNo != ''">
        <xsl:text>&#13;&#10;</xsl:text>
        <xsl:apply-templates select="ed:InitialED"/>
        <xsl:text>&#13;&#10;</xsl:text>
      </xsl:if>
  </xsl:template>

</xsl:stylesheet>